# Разработка технической документации. Генератор статических сайтов VuePress

![Человек, смотрящий в небо...](pic1.jpg)

## Введение

Успешность программного предукта во многом зависит от наличия простой и понятной инструкции. Но далеко не всегда есть возможность разработать техническую документацию для программного продукта или нового механизма.

Одним из инструментов для подготовки технической документации является система VuePress. Изначальной целью VuePress была поддержка фреймворка Vue.js и сопутствующей инфраструктуры.

## Установка и настройка VuePress

Ниже описаны основные шаги по установке VuePress и разработке технической документации.

1. Установить редактор кода [Visual Studio Code](https://code.visualstudio.com/)
2. Установить систему контроля версий [git](https://git-scm.com/downloads)
3. Установить [node.js](https://nodejs.org/en/download/)
4. Установить менеджер пакетов *yarn* 
   ```
   npm install --global yarn
   ```
5. Запустить CMD и создать новый проект VuePress
   ```
   yarn create vuepress-site
   cd docs
   yarn install
   ```
6. Запустить проект для отладки.
   ```
   yarn dev
   ```
7. Подробнее [здесь](https://vuepress.vuejs.org)